summaryrefslogtreecommitdiffstats
path: root/system/microcode_ctl/microcode_ctl.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/microcode_ctl/microcode_ctl.SlackBuild')
-rw-r--r--system/microcode_ctl/microcode_ctl.SlackBuild44
1 files changed, 33 insertions, 11 deletions
diff --git a/system/microcode_ctl/microcode_ctl.SlackBuild b/system/microcode_ctl/microcode_ctl.SlackBuild
index 5fd4e3d0c9..b255490bf6 100644
--- a/system/microcode_ctl/microcode_ctl.SlackBuild
+++ b/system/microcode_ctl/microcode_ctl.SlackBuild
@@ -6,7 +6,7 @@
PRGNAM=microcode_ctl
VERSION=1.17
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -20,23 +20,45 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-make || exit 1
-strip --strip-unneeded microcode_ctl
-mkdir -p $PKG/usr/{sbin,man/man8,doc/$PRGNAM-$VERSION}
-cp microcode_ctl $PKG/usr/sbin
-cp microcode_ctl.8 $PKG/usr/man/man8
-gzip -9f $PKG/usr/man/man8/microcode_ctl.8
+# use our CFLAGS
+sed -i "s/-O2/$SLKCFLAGS/" Makefile
+
+# look for microcode.dat file in a more appropriate place
+sed -i "s|/etc/|/lib/firmware/|" microcode_ctl.c
+sed -i "s|/etc/microcode.dat|/lib/firmware/microcode.dat|" \
+ microcode_ctl.start
+
+make \
+ PREFIX=/usr \
+ RCHOMEDIR=rc.d
+
+make \
+ PREFIX=/usr \
+ RCHOMEDIR=rc.d \
+ DESTDIR=$PKG \
+ install
+
+# This is way outdated
+rm -f $PKG/etc/microcode.dat
+
+# move init-script into place
+mv $PKG/etc/rc.d/microcode_ctl $PKG/etc/rc.d/rc.microcode_ctl.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp Changelog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}